Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
dripcampaigns
/
{dripCampaignId}
Fetch a drip campaign
curl --request GET \
  --url https://api.sakari.io/v1/accounts/{accountId}/dripcampaigns/{dripCampaignId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "name": "<string>",
    "trigger": {
      "type": "<string>",
      "delay": {
        "days": 123,
        "hours": 123,
        "minutes": 123
      },
      "message": "<string>",
      "groups": [
        {
          "id": "<string>",
          "name": "<string>",
          "phoneNumbers?": [
            {
              "id": "<string>",
              "status": "<string>",
              "number": "<string>",
              "country": "<string>",
              "type": "<string>",
              "name": "<string>",
              "verified": true,
              "provider": "<string>",
              "supportedDestinations": [
                "<string>"
              ],
              "forwardTo": {},
              "universalReply": true,
              "channels": {
                "sms": {
                  "active": true,
                  "universalReply": true,
                  "supportedDestinations": {},
                  "regulatory": {
                    "brandStatus": "<string>",
                    "campaign": {
                      "id": "<string>",
                      "campaignId": "<string>",
                      "useCase": "<string>"
                    },
                    "pft": true,
                    "submitted": "2023-11-07T05:31:56Z",
                    "approved": "2023-11-07T05:31:56Z",
                    "rejected": "2023-11-07T05:31:56Z"
                  }
                },
                "voice": {
                  "active": true,
                  "incoming": {
                    "action": "forward",
                    "forwardTo": "<string>",
                    "message": "<string>",
                    "transcribe": true
                  },
                  "features": [
                    "<string>"
                  ]
                },
                "whatsapp": {
                  "active": true
                }
              },
              "groups": [
                {
                  "id": "<string>",
                  "name": "<string>"
                }
              ],
              "hosted": true
            }
          ],
          "notifications": [
            {
              "integration": "<string>"
            }
          ],
          "tags": [
            "<string>"
          ],
          "users": [
            {
              "id": "<string>",
              "email": "chris@sakari.io",
              "role": "Administrator",
              "firstName": "Chris",
              "lastName": "Bloggs",
              "tacAccepted": "2023-11-07T05:31:56Z"
            }
          ],
          "senders": [
            {
              "id": "<string>",
              "type": "phonenumber",
              "subType": "<string>",
              "status": "<string>",
              "identifier": "<string>",
              "created": {
                "at": "2023-11-07T05:31:56Z",
                "by": {
                  "id": "<string>",
                  "name": "Joe Bloggs",
                  "firstName": "Joe",
                  "lastName": "Bloggs",
                  "email": "joe@bloggs.com",
                  "source": "<string>",
                  "subSource": "<string>"
                }
              },
              "updated": {
                "at": "2023-11-07T05:31:56Z",
                "by": {
                  "id": "<string>",
                  "name": "Joe Bloggs",
                  "firstName": "Joe",
                  "lastName": "Bloggs",
                  "email": "joe@bloggs.com",
                  "source": "<string>",
                  "subSource": "<string>"
                }
              },
              "channels": {
                "sms": {
                  "active": true,
                  "universalReply": true,
                  "supportedDestinations": {},
                  "regulatory": {
                    "brandStatus": "<string>",
                    "campaign": {
                      "id": "<string>",
                      "campaignId": "<string>",
                      "useCase": "<string>"
                    },
                    "pft": true,
                    "submitted": "2023-11-07T05:31:56Z",
                    "approved": "2023-11-07T05:31:56Z",
                    "rejected": "2023-11-07T05:31:56Z"
                  }
                },
                "voice": {
                  "active": true,
                  "incoming": {
                    "action": "forward",
                    "forwardTo": "<string>",
                    "message": "<string>",
                    "transcribe": true
                  },
                  "features": [
                    "<string>"
                  ]
                },
                "whatsapp": {
                  "active": true
                }
              },
              "groups": [
                {
                  "id": "<string>",
                  "name": "<string>"
                }
              ]
            }
          ],
          "officeHours": {
            "active": true,
            "timezone": "<string>",
            "times": {
              "sun": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "mon": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "tue": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "wed": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "thu": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "fri": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ],
              "sat": [
                {
                  "start": {
                    "hour": 123,
                    "minute": 123
                  },
                  "end": {
                    "hour": 123,
                    "minute": 123
                  }
                }
              ]
            }
          },
          "isDefault": true,
          "useSharedPool": true
        }
      ]
    },
    "messages": [
      {
        "message": "<string>",
        "delay": {
          "days": 123,
          "hours": 123,
          "minutes": 123
        },
        "id": "<string>",
        "media": [
          {
            "url": "<string>",
            "type": "<string>",
            "name": "<string>",
            "filename": "<string>"
          }
        ],
        "stats": {
          "entered": 123,
          "active": 123,
          "errored": 123,
          "noAction": 123,
          "optOut": 123,
          "engaged": 123
        }
      }
    ],
    "id": "<string>",
    "description": "<string>",
    "active": true,
    "maxDuration": 123,
    "stats": {
      "entered": 123,
      "active": 123,
      "errored": 123,
      "noAction": 123,
      "optOut": 123,
      "engaged": 123
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

dripCampaignId
string
required

Drip Campaign to apply operations to

Response

successful operation

success
boolean
required
data
object
required